(function ($) {
    // Проверяем, находимся ли мы на странице редактирования заказа
    if ($('body.post-type-shop_order').length > 0) {

        // Находим блоки с классом order_data_column
        var orderDataColumns = $('.order_data_column');

        // Выбираем второй блок с классом order_data_column, если он существует
        var targetColumn = orderDataColumns.eq(1); // Индекс 1 соответствует второму блоку

        // Если второго блока нет, используем первый блок
        if (!targetColumn.length) {
            targetColumn = orderDataColumns.eq(0); // Индекс 0 соответствует первому блоку
        }

        // Создаем HTML-код для кнопки
        var buttonHtml = `
            <p class="form-field form-field-wide">
                <label for="vtbpay-button-check-status">Для проверки состояния заказа в платежной системе, пожалуйста, нажмите кнопку:</label>
                <button class="button custom-action" id="vtbpay-button-check-status">Проверить статус</button>
            </p>
        `;

        // Проверяем условие добавления кнопки
        if (targetColumn.length) {
            // Добавляем кнопку в выбранный блок
            var $button = $(buttonHtml).appendTo(targetColumn);
            
            
            $button.on('click', function(e) {
                e.preventDefault();
                var orderID = window.location.href.match(/post=([0-9]+)/)[1]; 
                // Выполняем AJAX-запрос к веб-хуку плагина wc-vtbpay
                $.ajax({
                    url: vtbpay_ajax_var.api_url, // Замените на URL вашего веб-хука
                    method: 'POST', // Метод запроса (POST, GET и т. д.)
                    dataType : 'json',
                    data: {
                        // Данные, которые вы хотите передать в веб-хук
                        nonce: vtbpay_ajax_var.nonce,
                        orderId: orderID // Замените на нужные данные
                    },
                    success: function(response) {
                        if (response.success && confirm(response.message)) {
                            location.reload();
                        } else {
                            alert(response.message);
                        }
                    },
                    error: function(xhr, status, error) {
                        // Обработка ошибки
                        console.error('Ошибка запроса:', status, error);

                        // Выводим сообщение об ошибке с помощью alert
                        alert('Произошла ошибка при выполнении запроса.');
                    }
                });
            });
        }
    }
})(jQuery);
