(function ($) {
    $(document).ready(function () {
        let prefix = '#woocommerce_wc_vtbpay_';
        let requiredFields = ['login_1ofd', 'pass_1ofd', 'INN_1ofd', 'email_1ofd', 'group_id_KKT_1ofd'];
        let testModeCheckbox1 = $(prefix + 'test_mode_vtbpay');
        let testModeCheckbox2 = $(prefix + 'test_mode_1ofd');
        let cashiersCheckCheckbox = $(prefix + 'cashiers_check_enable_1ofd');
        let checkboxesWithPostfix = $('input[id$="_1ofd"], select[id$="_1ofd"], h3[id$="_1ofd"]').not(cashiersCheckCheckbox);

        function vtbpayToggleRequiredFields(isChecked, requiredFields) {
            requiredFields.forEach(function (field) {
                const fieldElement = $(prefix + field);
                fieldElement.prop('required', isChecked);

                // Получаем соответствующий label элемент
                const labelElement = $('label[for="' + fieldElement.attr('id') + '"]');
                if (isChecked) {
                    // Если чекбокс отмечен, добавляем псевдоэлемент ::after
                    labelElement.addClass('required'); // Добавляем класс для стилизации
                } else {
                    // В противном случае удаляем псевдоэлемент ::after
                    labelElement.removeClass('required');
                }
            });
        }

        function vtbpayToggleHideFieldParents(isChecked, checkboxesWithPostfix) {
            checkboxesWithPostfix.each(function () {
                let elementToHide = $(this);

                if (!elementToHide.hasClass('wc-settings-sub-title')) {
                    elementToHide = elementToHide.closest('tr');
                }

                if (isChecked) {
                    elementToHide.show();
                } else {
                    elementToHide.hide();
                }
            });
        }


        function checkAndSaveSettings() {
            const isCheckedTestMode1 = testModeCheckbox1.is(':checked');
            const isCheckedTestMode2 = testModeCheckbox2.is(':checked');

            if ((isCheckedTestMode1 || isCheckedTestMode2) && !(isCheckedTestMode1 && isCheckedTestMode2)) {
                alert('Обратите внимение, что у вас включен тестовый режим только для одной из интеграций: для платежной системы или создания чека в Первом ОФД.');
            }
        }

        // Отслеживание события нажатия на кнопку "save"
        $('button[name="save"]').on('click', function (event) {
            checkAndSaveSettings(); // Проверить и сохранить настройки
        });

        cashiersCheckCheckbox.change(function () {
            const isChecked = cashiersCheckCheckbox.is(':checked');
            vtbpayToggleRequiredFields(isChecked, requiredFields);
            vtbpayToggleHideFieldParents(isChecked, checkboxesWithPostfix);
        });

        const isChecked = cashiersCheckCheckbox.is(':checked');
        vtbpayToggleRequiredFields(isChecked, requiredFields);
        vtbpayToggleHideFieldParents(isChecked, checkboxesWithPostfix);
    });
})(jQuery);
