<?php
return [
    'enabled' => [
        'title' => __('Enable/Disable', 'woocommerce'),
        'type' => 'checkbox',
        'label' => __('Enable Payment system VTB', 'wc-vtbpay'),
        'default' => 'yes'
    ],
    'title' => [
        'title' => __('Title', 'woocommerce'),
        'type' => 'text',
        'description' => __('This controls the title which the user sees during checkout.', 'woocommerce'),
        'default' => __('Payment system VTB', 'wc-vtbpay'),
        'desc_tip' => true,
    ],
    'description' => [
        'title' => __('Customer Message', 'wc-vtbpay'),
        'type' => 'textarea',
        'css' => 'width:500px;',
        'default' => __('Pay with a card of any bank without commission.', 'wc-vtbpay'),
        'description' => __('The message which you want it to appear to the customer in the checkout page.', 'wc-vtbpay'),
    ],
    'client_id_vtbpay' => [
        'title' => __('Client ID', 'wc-vtbpay') . ' <span style="color:red;">*<span/>',
        'type' => 'text',
        'description' => __('Merchant\'s client ID is required to call the API.', 'wc-vtbpay'),
        'placeholder' => __('Enter Client ID', 'wc-vtbpay'),
        'custom_attributes' => ['required' => 'required'],
        'desc_tip' => true,
    ],
    'client_secret_vtbpay' => [
        'title' => __('Client Secret', 'wc-vtbpay') . ' <span style="color:red;">*<span/>',
        'type' => 'text',
        'description' => __('Merchant\'s secret key is required to call the API.', 'wc-vtbpay'),
        'placeholder' => __('Enter Client Secret', 'wc-vtbpay'),
        'custom_attributes' => ['required' => 'required'],
        'desc_tip' => true,
    ],
    'merchant_authorization_vtbpay' => [
        'title' => __('Merchant-Authorization', 'wc-vtbpay'),
        'type' => 'text',
        'description' => __('Request header used by the merchant resource for additional authentication when accessing the payment gateway.', 'wc-vtbpay'),
        'placeholder' => __('Enter Merchant-Authorization', 'wc-vtbpay'),
        'desc_tip' => true,
    ],
    'test_mode_vtbpay' => [
        'title' => __('Test mode', 'wc-vtbpay'),
        'type' => 'checkbox',
        'label' => __('Enable test mode', 'wc-vtbpay'),
        'description' => __('In this mode, the payment for the goods is not charged.', 'wc-vtbpay'),
        'default' => 'no'
    ],
    'logging_vtbpay' => [
        'title' => __('Logging', 'wc-vtbpay'),
        'type' => 'checkbox',
        'label' => __('Enable logging', 'wc-vtbpay'),
        'description' => __('Logging is used to debug plugin performance by storing API request data.', 'wc-vtbpay'),
        'default' => 'no'
    ],
    'transaction_end_vtbpay' => [
        'title' => __('Successful transaction order status', 'wc-vtbpay'),
        'type' => 'select',
        'options' => wc_get_order_statuses(),
        'description' => __('Select the order status to be displayed after successful payment.', 'wc-vtbpay'),
        'default' => 'wc-processing'
    ],
    'section_separator' => [
        'title'   => __('Setting up integration with "First OFD"', 'wc-vtbpay'), // Заголовок разделителя
        'type'    => 'title', // Тип элемента формы (title для разделителя)
    ],
    'cashiers_check_enable_1ofd' => [
        'title' => __('Enable fiscalization', 'wc-vtbpay'),
        'type' => 'checkbox',
        'label' => __('When connecting, the order receipt is generated in "First OFD" automatically.', 'wc-vtbpay'),
        'default' => 'no'
    ],
    'cancel_order_in_receipt_error_1ofd' => [
        'title' => __('Cancellation of payment in case of receipt printing error', 'wc-vtbpay'),
        'type' => 'checkbox',
        'label' => __('In case of an error when creating a receipt, the order will be automatically canceled.', 'wc-vtbpay'),
        'default' => 'no'
    ],
    'login_1ofd' => [
        'title' => __('Login', 'wc-vtbpay'),
        'type' => 'text',
        'description' => __('Login in "First OFD".', 'wc-vtbpay'),
        'placeholder' => __('Enter login in "First OFD".', 'wc-vtbpay'),
        'desc_tip' => true
    ],
    'pass_1ofd' => [
        'title' => __('Password', 'wc-vtbpay'),
        'type' => 'text',
        'description' => __('API Master Key in "First OFD".', 'wc-vtbpay'),
        'placeholder' => __('Enter API Master Key in "First OFD".', 'wc-vtbpay'),
        'desc_tip' => true
    ],
    'test_mode_1ofd' => [
        'title' => __('Test mode "First OFD"', 'wc-vtbpay'),
        'type' => 'checkbox',
        'label' => __('Enable testing mode of the "First OFD".', 'wc-vtbpay'),
        'default' => 'no'
    ],
    'INN_1ofd' => [
        'title' => __('INN', 'wc-vtbpay'),
        'type' => 'text',
        'description' => __('INN of the organization.', 'wc-vtbpay'),
        'placeholder' => __('Enter INN of the organization.', 'wc-vtbpay'),
        'desc_tip' => true,
    ],
    'email_1ofd' => [
        'title' => __('Email', 'wc-vtbpay'),
        'type' => 'text',
        'description' => __('Email address to which notifications will be sent in case of errors when creating a receipt.', 'wc-vtbpay'),
        'placeholder' => __('Enter email.', 'wc-vtbpay'),
        'desc_tip' => true,
    ],
    'tax_system_1ofd' => [
        'title' => __('Taxation system', 'wc-vtbpay'),
        'type' => 'select',
        'placeholder' => __('Enter taxation system.', 'wc-vtbpay'),
        'options' => [
            'GENERAL' => __('OSN', 'wc-vtbpay'),
            'SIMPLE_INCOME' => __('Simplified taxation system income', 'wc-vtbpay'),
            'SIMPLE_INCOME_EXPENSE' => __('Simplified taxation system income - expense', 'wc-vtbpay'),
            'IMPUTED_INCOME' => __('Unified tax on imputed income', 'wc-vtbpay'),
            'AGRICULTURAL' => __('Unified agricultural tax', 'wc-vtbpay'),
            'PATENT' => __('Patent', 'wc-vtbpay'),
        ],
        'desc_tip' => true,
        'default' => 'GENERAL'
    ],
    'group_id_KKT_1ofd' => [
        'title' => __('Identifier of the KKT group', 'wc-vtbpay'),
        'type' => 'text',
        'description' => __('Identifier of the KKT group in "First OFD".', 'wc-vtbpay'),
        'placeholder' => __('Enter identifier of the KKT group.', 'wc-vtbpay'),
        'desc_tip' => true,
    ],
    'payment_type_delivery_1ofd' => [
        'title' => __('Payment method for delivery', 'wc-vtbpay'),
        'type' => 'select',
        'description' => __('Payment method for delivery service.', 'wc-vtbpay'),
        'placeholder' => __('Enter Payment method for delivery.', 'wc-vtbpay'),
        'options' => [
            'FULL_PREPAYMENT' => __('Pre-payment 100%', 'wc-vtbpay'),
            'PARTIAL_PREPAYMENT' => __('Pre-payment', 'wc-vtbpay'),
            'ADVANCE' => __('Advance', 'wc-vtbpay'),
            'FULL_PAYMENT' => __('Full payment', 'wc-vtbpay'),
            'PARTIAL_PAYMENT' => __('Partial settlement and credit', 'wc-vtbpay'),
            'CREDIT' => __('Transfer on credit', 'wc-vtbpay'),
            'CREDIT_PAYMENT' => __('Loan repayment', 'wc-vtbpay'),
        ],
        'desc_tip' => true,
        'default' => 'FULL_PREPAYMENT'
    ],
    'section_subtitle_1ofd' => [
        'title'   => __('Default settings for products and services.', 'wc-vtbpay'), // Заголовок разделителя
        'type'    => 'title', // Тип элемента формы (title для разделителя)
    ],
    'payment_type_1ofd' => [
        'title' => __('Type of calculation', 'wc-vtbpay'),
        'type' => 'select',
        'description' => __('Default payment method (for goods and services that do not have a payment method specified).', 'wc-vtbpay'),
        'placeholder' => __('Enter type of calculation.', 'wc-vtbpay'),
        'options' => [
            'FULL_PREPAYMENT' => __('Pre-payment 100%', 'wc-vtbpay'),
            'PARTIAL_PREPAYMENT' => __('Pre-payment', 'wc-vtbpay'),
            'ADVANCE' => __('Advance', 'wc-vtbpay'),
            'FULL_PAYMENT' => __('Full payment', 'wc-vtbpay'),
            'PARTIAL_PAYMENT' => __('Partial settlement and credit', 'wc-vtbpay'),
            'CREDIT' => __('Transfer on credit', 'wc-vtbpay'),
            'CREDIT_PAYMENT' => __('Loan repayment', 'wc-vtbpay'),
        ],
        'desc_tip' => true,
        'default' => 'FULL_PREPAYMENT'
    ],
    'payment_subject_1ofd' => [
        'title' => __('Subject of calculation', 'wc-vtbpay'),
        'type' => 'select',
        'description' => __('The subject of calculation by default (for goods and services that do not specify the subject of calculation).', 'wc-vtbpay'),
        'placeholder' => __('Enter subject of calculation.', 'wc-vtbpay'),
        'options' => [
            'GOODS' => __('Goods', 'wc-vtbpay'),
            'EXCISE_GOODS' => __('Excisable goods', 'wc-vtbpay'),
            'JOB' => __('Job', 'wc-vtbpay'),
            'SERVICE' => __('Service', 'wc-vtbpay'),
            'GAMBLING_BET' => __('Betting gambling', 'wc-vtbpay'),
            'GAMBLING_WIN' => __('Winning gambling', 'wc-vtbpay'),
            'LOTTERY_TICKET' => __('Lottery Bet', 'wc-vtbpay'),
            'LOTTERY_WIN' => __('Lottery winnings', 'wc-vtbpay'),
            'RID_ACCESS' => __('RID Provision', 'wc-vtbpay'),
            'ADVANCE' => __('Payment', 'wc-vtbpay'),
            'AGENT_REWARD' => __('Agency fee', 'wc-vtbpay'),
            'COMPOSITE_11' => __('Disbursement', 'wc-vtbpay'),
            'COMPOSITE_NONE_11' => __('Other subject matter', 'wc-vtbpay'),
            'PROPERTY_LAW' => __('Property law', 'wc-vtbpay'),
            'NONE_OPERATIONAL_INCOME' => __('Non-operating income', 'wc-vtbpay'),
            'TAX_REDUCTION' => __('Insurance premiums', 'wc-vtbpay'),
            'TRADE_FEE' => __('Trade fee', 'wc-vtbpay'),
            'RESORT_FEE' => __('Resort fee', 'wc-vtbpay'),
            'CAUTION_MONEY' => __('Bail', 'wc-vtbpay'),
            'EXPENSE_W_INCOME_REDUCTION' => __('Expenditure', 'wc-vtbpay'),
            'PENSION_INSUARACE' => __('Contributions to IE\'s OPS', 'wc-vtbpay'),
            'PENSION_INSUARACE_W_PAYMENTS' => __('OPS contributions', 'wc-vtbpay'),
            'MEDICAL_INSUARACE' => __('Contributions to IE MHI', 'wc-vtbpay'),
            'MEDICAL_INSUARACE_W_PAYMENTS' => __('Contributions to MHI', 'wc-vtbpay'),
            'SOCIAL_INSUARANCE' => __('Contributions to the OSS', 'wc-vtbpay'),
            'CASINO' => __('Casino payment', 'wc-vtbpay')
        ],
        'desc_tip' => true,
        'default' => 'GOODS'
    ],
    'vat_code_1ofd' => [
        'title' => __('Tax rate', 'wc-vtbpay'),
        'type' => 'select',
        'description' => __('Default tax rate (for goods and services that do not have a tax rate specified).', 'wc-vtbpay'),
        'placeholder' => __('Enter tax rate.', 'wc-vtbpay'),
        'options' => [
            'NONE' => __('No tax rate', 'wc-vtbpay'),
            'VAT_GENERAL' => __('VAT 20%', 'wc-vtbpay'),
            'VAT_PREFERENTIAL' => __('VAT 10%', 'wc-vtbpay'),
            'VAT_GENERAL_CALC' => __('VAT 20/120', 'wc-vtbpay'),
            'VAT_PREFERENTIAL_CALC' => __('VAT 10/110', 'wc-vtbpay'),
            'VAT_ZERO' => __('VAT 0%', 'wc-vtbpay')
        ],
        'desc_tip' => true,
        'default' => 'FULL_PREPAYMENT'
    ]
];
